Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003442TestLinkRequirement Managementpublic2010-05-07 05:442010-07-02 18:36
ReporterDrops 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 4 
Fixed in Version1.9 Beta 5 
Summary0003442: Import Requirements from XML show empty lines in Import Requirements table
DescriptionWhen trying to import Requirements from XML for a doc specification section, after upload only emty lines are displayed instead of real text strings.

See attachment ImportReqEmpty.doc with screenshorts.

Step to Reproduce:

1) Create dummy spec document with Type "section". In my case "TestReq-209"
2) Try "Import Requiremets" button for the "TestReq-209".
3) Choose File type: XML. Select file child_req.xml.
4) Press "Upload file" button -> Empty table with line for each requiremets are displayed.
In Events log we can see a lot of warnings like these:
07/05/2010 01:07:26 WARNING E_NOTICE Undefined index: req_spec - in C:\projects\http\testlink\gui\templates_c\%%22^225^225577D0%%inc_req_import_viewer.tpl.php - Line 57
07/05/2010 01:07:26 WARNING E_NOTICE Undefined index: req_spec - in C:\projects\http\testlink\gui\templates_c\%%22^225^225577D0%%inc_req_import_viewer.tpl.php - Line 58
07/05/2010 01:07:26 WARNING E_NOTICE Undefined index: requirements - in C:\projects\http\testlink\gui\templates_c\%%22^225^225577D0%%inc_req_import_viewer.tpl.php - Line 67

If I used child_req-full.xml file where I define <requirement-specification> for the doc spec "TestReq-209" the import worked OK.
Additional InformationI updated my site from TL 1.8.5 to TL 1.9 Beta 4 Developer snapshort.
TagsRequirements
Database (MySQL,Postgres,etc)
BrowserGoogle Chrome 4.1, IE8m Firefox 3.5.9
PHP Version5.2.10-Win32
TestCaseID
QA Team - Task Workflow Status
Attached Filesdoc file icon ImportReqEmpty.doc [^] (216,576 bytes) 2010-05-07 05:45
zip file icon xmls2import.zip [^] (1,174 bytes) 2010-05-07 05:46

- Relationships
has duplicate 0003446closedfman Import CHILD requirements XML - show empty screen 

-  Notes
(0009955)
Drops (reporter)
2010-05-07 06:25

Relates to 0003309 but I am not sure that the same.
(0009986)
Drops (reporter)
2010-05-12 19:42
edited on: 2010-05-12 19:46

I confirm the issue with importing was fixed in TL 1.9 Beta5 with the current source-snapshot(May 12, 2010) and changes for 0003446.
All child requerements were added successfully.
Please close or set to Fixed state my issue.

(0009988)
fman (administrator)
2010-05-12 21:44

Thanks!
(0010515)
fman (administrator)
2010-07-02 18:36

1.9 Beta 5 released

- Issue History
Date Modified Username Field Change
2010-05-07 05:44 Drops New Issue
2010-05-07 05:44 Drops Browser => Google Chrome 4.1, IE8m Firefox 3.5.9
2010-05-07 05:44 Drops PHP Version => 5.2.10-Win32
2010-05-07 05:45 Drops File Added: ImportReqEmpty.doc
2010-05-07 05:45 Drops Tag Attached: Requirements
2010-05-07 05:46 Drops File Added: xmls2import.zip
2010-05-07 06:25 Drops Note Added: 0009955
2010-05-12 01:35 fman Relationship added has duplicate 0003446
2010-05-12 19:42 Drops Note Added: 0009986
2010-05-12 19:46 Drops Note Edited: 0009986
2010-05-12 21:44 fman Note Added: 0009988
2010-05-12 21:44 fman Status new => resolved
2010-05-12 21:44 fman Fixed in Version => 1.9 Beta 5
2010-05-12 21:44 fman Resolution open => fixed
2010-05-12 21:44 fman Assigned To => fman
2010-07-02 18:36 fman Note Added: 0010515
2010-07-02 18:36 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker